*******************************************************************
*                                                                 *
*                                                                 *
*     DSM MC68000 Disassembler Version 1.0d (12/01/88).           *
*     Copyright (C) 1987, 1988 by OTG Software.                   *
*     All rights reserved.                                        *
*                                                                 *
*     Disassembly of :  rot_pure                                  *
*                                                                 *
*                                                                 *
*******************************************************************

	MACHINE	MC68020

	INCLUDE	"work:data/include/lvo.i"

         SECTION  segment0,CODE
seg0
	movea.l  ($0004).w,a6
	lea      DataBlock,a4
	moveq    #$00,d0
	move.w   $0128(a6),d1
	andi.w   #$0001,d1
	beq.s    noproc

	lea      super(pc),a5
	jsr      _LVOSupervisor(a6)

noproc:	move.l   d0,$0000(a4)
	lea      gfxname,a1
	moveq    #$21,d0
	jsr      _LVOOpenLibrary(a6)

	tst.l    d0
	bne.s    gfxok

	moveq    #$64,d0
	rts      

super	movec    vbr,d0
	rte

gfxok:	move.l   d0,$0004(a4)
	movea.l  d0,a6

	lea      $00dff000,a5
	jsr      _LVOOwnBlitter(a6)
	jsr      _LVOWaitBlit(a6)

	move.l   $0022(a6),$0008(a4)

	suba.l   a1,a1
	jsr      _LVOLoadView(a6)
	jsr      _LVOWaitTOF(a6)
	jsr      _LVOWaitTOF(a6)

	move.w   #$7fff,d1
	move.w   $001c(a5),$0010(a4)
	move.w   d1,$009a(a5)
	move.w   $001e(a5),$0012(a4)
	move.w   d1,$009c(a5)
	bset     #$07,$0010(a4)
	bset     #$07,$0012(a4)
	move.w   $0002(a5),$0014(a4)
	move.w   d1,$0096(a5)
	bset     #$07,$0014(a4)
	movea.l  $0000(a4),a0
	move.l   $006c(a0),$000c(a4)
	move.l   #HitMe,$006c(a0)
	move.l   #L58,d0
	move.w   d0,L52
	swap     d0
	move.w   d0,L51
	move.w   #$2200,$0100(a5)
	move.w   #$2c81,$008e(a5)
	move.w   #$2cc1,$0090(a5)
	move.w   #$0038,$0092(a5)
	move.w   #$00a0,$0094(a5)
	move.w   #$0038,$0108(a5)
	move.w   #$0038,$010a(a5)
	move.w   #$0003,$01fc(a5)
	move.w   #$0020,$01dc(a5)
	move.l   #CopperList,$0080(a5)
	bsr.l    L48
	bsr.l    L16
	bsr.l    L7
	move.w   #-$7c40,$0096(a5)
	move.w   #-$3ff0,$009a(a5)

	; *** Wait for exit
L4       btst     #$06,$00bfe001
         bne.s    L4

         btst     #$02,$0016(a5)
         beq.s    L4

	; *** Cleanup routine
         move.w   #$7fff,d1
         move.w   d1,$009a(a5)
         move.w   d1,$009c(a5)
         movea.l  $0000(a4),a0
         move.l   $000c(a4),$006c(a0)
L5       btst     #$05,$001f(a5)
         beq.s    L5
         move.w   d1,$0096(a5)
         move.w   $0014(a4),$0096(a5)
         move.w   $0010(a4),$009a(a5)
         move.w   $0012(a4),$009c(a5)

         movea.l  $0008(a4),a1
         movea.l  $0004(a4),a6
         jsr      _LVOLoadView(a6)
         jsr      _LVOWaitTOF(a6)
         jsr      _LVOWaitTOF(a6)

         move.l   $0026(a6),$0080(a5)
         jsr      _LVODisownBlitter(a6)

         movea.l  a6,a1
         movea.l  ($0004).w,a6
         jsr      _LVOCloseLibrary(a6)

         moveq    #$00,d0
         rts      

HitMe:	movem.l   d0-a6,-(a7)	; dc.b $48,$e7,$ff,$fe

         bsr.l    L7
         lea      $00dff000,a5
         bsr.l    E19
         bsr.l    E30
         bsr.l    E36
         move.w   #$00f0,$0180(a5)
         move.w   #$0010,$009c(a5)

         movem.l  (a7)+,d0-d7/a0-a6
         rte      

L7       lea      L8,a0
         lea      CopperList,a1		; L50 offset(?)
         move.l   (a0),d0
         move.l   $0004(a0),(a0)
         move.l   d0,$0004(a0)
         move.w   d0,$0006(a1)
         swap     d0
         move.w   d0,$0002(a1)
         lea      L11,a0
         lea      L53,a1
         move.l   (a0),d0
         move.l   $0004(a0),(a0)
         move.l   d0,$0004(a0)
         move.w   d0,$0006(a1)
         swap     d0
         move.w   d0,$0002(a1)
         lea      L14,a0
         lea      L56,a1
         move.l   (a0),d0
         move.l   $0004(a0),(a0)
         move.l   d0,$0004(a0)
         move.w   d0,$0006(a1)
         swap     d0
         move.w   d0,$0002(a1)
         lea      L9,a0
         lea      L54,a1
         move.l   (a0),d0
         move.l   $0004(a0),(a0)
         move.l   d0,$0004(a0)
         move.w   d0,$0006(a1)
         swap     d0
         move.w   d0,$0002(a1)
         lea      L12,a0
         lea      L55,a1
         move.l   (a0),d0
         move.l   $0004(a0),(a0)
         move.l   d0,$0004(a0)
         move.w   d0,$0006(a1)
         swap     d0
         move.w   d0,$0002(a1)
         rts      

L8       dc.l     L58
L9       dc.l     L60
L10      dc.l     L62
L11      dc.l     L59
L12      dc.l     L61
L13      dc.l     L63
L14      dc.l     L64
L15      dc.l     L65

L16      andi.l   #-$00000008,L8
         andi.l   #-$00000008,L9
         andi.l   #-$00000008,L10
         andi.l   #-$00000008,L11
         andi.l   #-$00000008,L12
         andi.l   #-$00000008,L13
         movem.l  d0-d7/a0-a6,-(a7)
         movea.l  L14,a0
         move.w   #$06a3,d7
L17      move.l   #-$00000002,(a0)+
         dbf      d7,L17
         movea.l  L15,a0
         move.w   #$06a3,d7
L18      move.l   #-$00000002,(a0)+
         dbf      d7,L18
         movem.l  (a7)+,d0-d7/a0-a6
         rts      

E19      btst     #$02,$0016(a5)
         beq.s    E20
         move.w   $000a(a5),d0
         andi.w   #$00ff,d0
         move.l   d0,d1
         sub.b    L22,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L22
         add.w    d0,L27
         andi.w   #$03ff,L27
         move.w   $000a(a5),d0
         lsr.w    #$8,d0
         move.l   d0,d1
         sub.b    L23,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L23
         add.w    d0,L26
         rts      

E20      btst     #$06,$00bfe001
         beq.s    E21
         move.w   $000a(a5),d0
         andi.w   #$00ff,d0
         move.l   d0,d1
         sub.b    L22,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L22
         sub.w    d0,L24
         move.w   $000a(a5),d0
         lsr.w    #$8,d0
         move.l   d0,d1
         sub.b    L23,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L23
         sub.w    d0,L25
         rts      

E21      move.w   $000a(a5),d0
         andi.w   #$00ff,d0
         move.l   d0,d1
         sub.b    L22,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L22
         sub.w    d0,L28
         move.w   $000a(a5),d0
         lsr.w    #$8,d0
         move.l   d0,d1
         sub.b    L23,d0
         lsl.w    #$8,d0
         asr.w    #$8,d0
         move.b   d1,L23
         sub.w    d0,L29
         rts      

L22      dc.b     $00,$00
L23      dc.b     $00,$00
L24      dc.b     $ff,$60
L25      dc.b     $ff,$8a
L26      dc.b     $01,$fe
L27      dc.b     $02,$00
L28      dc.b     $00,$00
L29      dc.b     $00,$00

E30      move.l   L8,d5
         movea.l  L14,a1
         subi.l   #$0000002e,d5
         btst     #$06,$0002(a5)
E31      btst     #$06,$0002(a5)
         bne.s    E31
         move.l   #-$00000001,$0044(a5)
         move.w   #$002c,$0064(a5)
         move.w   #$002c,$0066(a5)
         move.w   #$0002,$0042(a5)
         move.w   #$0000,$005c(a5)
         lea      L39,a2
         lea      L41,a3
         lea      L42,a4
         lea      L40,a6
         movea.l  L10,a0
         adda.l   #$000002d2,a0
         adda.w   #$3000,a0
         clr.l    d0
         addi.l   #$00006000,d5
         move.w   #$0013,d7
E32      btst     #$06,$0002(a5)
E33      btst     #$06,$0002(a5)
         bne.s    E33
         move.l   d5,$0054(a5)
         move.w   #$000f,d1
         lsl.w    #$2,d1
         move.w   #$000f,d6
E34      move.l   $00(a2,d0.w),d2
         sub.l    $00(a6,d1.w),d2
         move.l   $00(a3,d0.w),d3
         add.l    $00(a4,d1.w),d3
         addi.l   #$000000a0,d2
         add.l    a0,d3
         move.l   d2,d4
         asr.l    #$3,d2
         andi.w   #$000f,d4
         add.l    d2,d3
         ror.w    #$4,d4
         ori.w    #$09f0,d4
         btst     #$06,$0002(a5)
E35      btst     #$06,$0002(a5)
         bne.s    E35
         move.l   d3,$0050(a5)
         move.w   d4,$0040(a5)
         move.w   #$0802,$0058(a5)
         move.w   #$0000,$0180(a5)
         subq.w   #$4,d1
         dbf      d6,E34
         addi.l   #$00000002,d5
         addq.l   #$4,d0
         dbf      d7,E32
         rts      

E36      movem.l  d0-d7/a0-a6,-(a7)
         clr.l    d6
         move.w   L27,d6
         lsl.l    #$1,d6
         lea      L47,a2
         lea      L39,a0
         lea      L41,a1
         lea      L43,a3
         lea      L45,a4
         move.w   L24,d1
         move.w   #$0013,d7
E37      adda.w   #$0200,a2
         move.w   L28,d2
         clr.l    d0
         move.w   $00(a2,d6.w),d0
         muls     d1,d0
         asr.l    #$8,d0
         muls     d1,d2
         asr.l    #$8,d2
         add.w    L26,d2
         muls     d2,d0
         move.l   d0,d2
         asl.l    #$8,d2
         asl.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d0
         asr.l    #$8,d0
         add.l    d2,(a3)+
         clr.l    d2
         addx.l   d2,d0
         move.l   d0,(a0)+
         suba.w   #$0200,a2
         move.w   L28,d2
         clr.l    d0
         move.w   $00(a2,d6.w),d0
         muls     d1,d0
         asr.l    #$8,d0
         muls     d1,d2
         asr.l    #$8,d2
         add.w    L26,d2
         muls     d2,d0
         move.l   d0,d2
         asl.l    #$8,d2
         asl.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d0
         asr.l    #$8,d0
         add.l    d2,(a4)+
         clr.l    d2
         addx.l   d2,d0
         muls     #$0060,d0
         move.l   d0,(a1)+
         addi.l   #$00000010,d1
         dbf      d7,E37
         lea      L42,a0
         lea      L40,a1
         lea      L46,a3
         lea      L44,a4
         move.w   L25,d1
         move.w   #$000f,d7
E38      adda.w   #$0200,a2
         move.w   L29,d2
         clr.l    d0
         move.w   $00(a2,d6.w),d0
         muls     d1,d0
         asr.l    #$8,d0
         muls     d1,d2
         asr.l    #$8,d2
         add.w    L26,d2
         muls     d2,d0
         move.l   d0,d2
         asl.l    #$8,d2
         asl.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d0
         asr.l    #$8,d0
         add.l    d2,(a3)+
         clr.l    d2
         addx.l   d2,d0
         muls     #$0060,d0
         move.l   d0,(a0)+
         suba.w   #$0200,a2
         move.w   L29,d2
         clr.l    d0
         move.w   $00(a2,d6.w),d0
         muls     d1,d0
         asr.l    #$8,d0
         muls     d1,d2
         asr.l    #$8,d2
         add.w    L26,d2
         muls     d2,d0
         move.l   d0,d2
         asl.l    #$8,d2
         asl.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d2
         asr.l    #$8,d0
         asr.l    #$8,d0
         add.l    d2,(a4)+
         clr.l    d2
         addx.l   d2,d0
         move.l   d0,(a1)+
         addi.l   #$00000010,d1
         dbf      d7,E38
         movem.l  (a7)+,d0-d7/a0-a6
         rts      

L39      dcb.b    80,$00
L40      dcb.b    64,$00
L41      dcb.b    80,$00
L42      dcb.b    64,$00
L43      dcb.b    80,$00
L44      dcb.b    64,$00
L45      dcb.b    80,$00
L46      dcb.b    208,$00
L47      dc.b     $ff,$9b,$fe,$d2,$fe,$09
         dc.b     $fd,$40,$fc,$77,$fb,$ae
         dc.b     $fa,$e5,$fa,$1d,$f9,$54
         dc.b     $f8,$8b,$f7,$c2,$f6,$fa
         dc.b     $f6,$31,$f5,$69,$f4,$a1
         dc.b     $f3,$d8,$f3,$10,$f2,$48
         dc.b     $f1,$80,$f0,$b9,$ef,$f1
         dc.b     $ef,$2a,$ee,$63,$ed,$9c
         dc.b     $ec,$d5,$ec,$0e,$eb,$47
         dc.b     $ea,$81,$e9,$bb,$e8,$f5
         dc.b     $e8,$30,$e7,$6a,$e6,$a5
         dc.b     $e5,$e0,$e5,$1b,$e4,$57
         dc.b     $e3,$93,$e2,$cf,$e2,$0b
         dc.b     $e1,$48,$e0,$85,$df,$c2
         dc.b     $df,$00,$de,$3e,$dd,$7c
         dc.b     $dc,$ba,$db,$f9,$db,$38
         dc.b     $da,$78,$d9,$b8,$d8,$f8
         dc.b     $d8,$39,$d7,$7a,$d6,$bc
         dc.b     $d5,$fe,$d5,$40,$d4,$83
         dc.b     $d3,$c6,$d3,$09,$d2,$4d
         dc.b     $d1,$92,$d0,$d6,$d0,$1c
         dc.b     $cf,$62,$ce,$a8,$cd,$ee
         dc.b     $cd,$36,$cc,$7d,$cb,$c6
         dc.b     $cb,$0e,$ca,$57,$c9,$a1
         dc.b     $c8,$eb,$c8,$36,$c7,$82
         dc.b     $c6,$cd,$c6,$1a,$c5,$67
         dc.b     $c4,$b4,$c4,$02,$c3,$51
         dc.b     $c2,$a0,$c1,$f0,$c1,$41
         dc.b     $c0,$92,$bf,$e3,$bf,$36
         dc.b     $be,$89,$bd,$dc,$bd,$30
         dc.b     $bc,$85,$bb,$db,$bb,$31
         dc.b     $ba,$88,$b9,$df,$b9,$37
         dc.b     $b8,$90,$b7,$ea,$b7,$44
         dc.b     $b6,$9f,$b5,$fa,$b5,$57
         dc.b     $b4,$b4,$b4,$12,$b3,$70
         dc.b     $b2,$cf,$b2,$2f,$b1,$90
         dc.b     $b0,$f1,$b0,$54,$af,$b7
         dc.b     $af,$1b,$ae,$7f,$ad,$e5
         dc.b     $ad,$4b,$ac,$b2,$ac,$19
         dc.b     $ab,$82,$aa,$eb,$aa,$56
         dc.b     $a9,$c1,$a9,$2c,$a8,$99
         dc.b     $a8,$07,$a7,$75,$a6,$e4
         dc.b     $a6,$54,$a5,$c5,$a5,$37
         dc.b     $a4,$aa,$a4,$1d,$a3,$92
         dc.b     $a3,$07,$a2,$7e,$a1,$f5
         dc.b     $a1,$6d,$a0,$e6,$a0,$60
         dc.b     $9f,$db,$9f,$56,$9e,$d3
         dc.b     $9e,$51,$9d,$cf,$9d,$4f
         dc.b     $9c,$cf,$9c,$50,$9b,$d3
         dc.b     $9b,$56,$9a,$da,$9a,$60
         dc.b     $99,$e6,$99,$6d,$98,$f5
         dc.b     $98,$7f,$98,$09,$97,$94
         dc.b     $97,$20,$96,$ae,$96,$3c
         dc.b     $95,$cb,$95,$5b,$94,$ed
         dc.b     $94,$7f,$94,$13,$93,$a7
         dc.b     $93,$3c,$92,$d3,$92,$6b
         dc.b     $92,$03,$91,$9d,$91,$38
         dc.b     $90,$d3,$90,$70,$90,$0e
         dc.b     $8f,$ad,$8f,$4e,$8e,$ef
         dc.b     $8e,$91,$8e,$35,$8d,$d9
         dc.b     $8d,$7f,$8d,$25,$8c,$cd
         dc.b     $8c,$76,$8c,$20,$8b,$cb
         dc.b     $8b,$78,$8b,$25,$8a,$d3
         dc.b     $8a,$83,$8a,$34,$89,$e6
         dc.b     $89,$99,$89,$4d,$89,$02
         dc.b     $88,$b9,$88,$71,$88,$29
         dc.b     $87,$e3,$87,$9e,$87,$5b
         dc.b     $87,$18,$86,$d7,$86,$96
         dc.b     $86,$57,$86,$19,$85,$dd
         dc.b     $85,$a1,$85,$67,$85,$2e
         dc.b     $84,$f6,$84,$bf,$84,$89
         dc.b     $84,$55,$84,$22,$83,$f0
         dc.b     $83,$bf,$83,$8f,$83,$61
         dc.b     $83,$33,$83,$07,$82,$dc
         dc.b     $82,$b3,$82,$8a,$82,$63
         dc.b     $82,$3d,$82,$18,$81,$f5
         dc.b     $81,$d2,$81,$b1,$81,$91
         dc.b     $81,$73,$81,$55,$81,$39
         dc.b     $81,$1e,$81,$04,$80,$eb
         dc.b     $80,$d4,$80,$be,$80,$a9
         dc.b     $80,$95,$80,$83,$80,$71
         dc.b     $80,$61,$80,$53,$80,$45
         dc.b     $80,$39,$80,$2e,$80,$24
         dc.b     $80,$1b,$80,$14,$80,$0d
         dc.b     $80,$09,$80,$05,$80,$02
         dc.b     $80,$01,$80,$01,$80,$02
         dc.b     $80,$05,$80,$09,$80,$0d
         dc.b     $80,$14,$80,$1b,$80,$24
         dc.b     $80,$2e,$80,$39,$80,$45
         dc.b     $80,$53,$80,$61,$80,$71
         dc.b     $80,$83,$80,$95,$80,$a9
         dc.b     $80,$be,$80,$d4,$80,$eb
         dc.b     $81,$04,$81,$1e,$81,$39
         dc.b     $81,$55,$81,$73,$81,$91
         dc.b     $81,$b1,$81,$d2,$81,$f5
         dc.b     $82,$18,$82,$3d,$82,$63
         dc.b     $82,$8a,$82,$b3,$82,$dc
         dc.b     $83,$07,$83,$33,$83,$61
         dc.b     $83,$8f,$83,$bf,$83,$f0
         dc.b     $84,$22,$84,$55,$84,$89
         dc.b     $84,$bf,$84,$f6,$85,$2e
         dc.b     $85,$67,$85,$a1,$85,$dd
         dc.b     $86,$1a,$86,$57,$86,$97
         dc.b     $86,$d7,$87,$18,$87,$5b
         dc.b     $87,$9e,$87,$e3,$88,$29
         dc.b     $88,$71,$88,$b9,$89,$03
         dc.b     $89,$4d,$89,$99,$89,$e6
         dc.b     $8a,$34,$8a,$83,$8a,$d4
         dc.b     $8b,$25,$8b,$78,$8b,$cb
         dc.b     $8c,$20,$8c,$76,$8c,$cd
         dc.b     $8d,$25,$8d,$7f,$8d,$d9
         dc.b     $8e,$35,$8e,$91,$8e,$ef
         dc.b     $8f,$4e,$8f,$ae,$90,$0f
         dc.b     $90,$71,$90,$d4,$91,$38
         dc.b     $91,$9d,$92,$03,$92,$6b
         dc.b     $92,$d3,$93,$3d,$93,$a7
         dc.b     $94,$13,$94,$7f,$94,$ed
         dc.b     $95,$5c,$95,$cb,$96,$3c
         dc.b     $96,$ae,$97,$21,$97,$94
         dc.b     $98,$09,$98,$7f,$98,$f6
         dc.b     $99,$6d,$99,$e6,$9a,$60
         dc.b     $9a,$db,$9b,$56,$9b,$d3
         dc.b     $9c,$51,$9c,$cf,$9d,$4f
         dc.b     $9d,$cf,$9e,$51,$9e,$d3
         dc.b     $9f,$56,$9f,$db,$a0,$60
         dc.b     $a0,$e6,$a1,$6d,$a1,$f5
         dc.b     $a2,$7e,$a3,$08,$a3,$92
         dc.b     $a4,$1e,$a4,$aa,$a5,$37
         dc.b     $a5,$c6,$a6,$55,$a6,$e5
         dc.b     $a7,$75,$a8,$07,$a8,$99
         dc.b     $a9,$2d,$a9,$c1,$aa,$56
         dc.b     $aa,$ec,$ab,$82,$ac,$1a
         dc.b     $ac,$b2,$ad,$4b,$ad,$e5
         dc.b     $ae,$7f,$af,$1b,$af,$b7
         dc.b     $b0,$54,$b0,$f2,$b1,$90
         dc.b     $b2,$2f,$b2,$cf,$b3,$70
         dc.b     $b4,$12,$b4,$b4,$b5,$57
         dc.b     $b5,$fb,$b6,$9f,$b7,$44
         dc.b     $b7,$ea,$b8,$90,$b9,$37
         dc.b     $b9,$df,$ba,$88,$bb,$31
         dc.b     $bb,$db,$bc,$85,$bd,$31
         dc.b     $bd,$dc,$be,$89,$bf,$36
         dc.b     $bf,$e4,$c0,$92,$c1,$41
         dc.b     $c1,$f0,$c2,$a1,$c3,$51
         dc.b     $c4,$03,$c4,$b5,$c5,$67
         dc.b     $c6,$1a,$c6,$ce,$c7,$82
         dc.b     $c8,$36,$c8,$ec,$c9,$a1
         dc.b     $ca,$58,$cb,$0f,$cb,$c6
         dc.b     $cc,$7e,$cd,$36,$cd,$ef
         dc.b     $ce,$a8,$cf,$62,$d0,$1c
         dc.b     $d0,$d7,$d1,$92,$d2,$4d
         dc.b     $d3,$09,$d3,$c6,$d4,$83
         dc.b     $d5,$40,$d5,$fe,$d6,$bc
         dc.b     $d7,$7a,$d8,$39,$d8,$f9
         dc.b     $d9,$b8,$da,$78,$db,$39
         dc.b     $db,$f9,$dc,$bb,$dd,$7c
         dc.b     $de,$3e,$df,$00,$df,$c2
         dc.b     $e0,$85,$e1,$48,$e2,$0b
         dc.b     $e2,$cf,$e3,$93,$e4,$57
         dc.b     $e5,$1b,$e5,$e0,$e6,$a5
         dc.b     $e7,$6a,$e8,$30,$e8,$f5
         dc.b     $e9,$bb,$ea,$81,$eb,$48
         dc.b     $ec,$0e,$ec,$d5,$ed,$9c
         dc.b     $ee,$63,$ef,$2a,$ef,$f1
         dc.b     $f0,$b9,$f1,$81,$f2,$49
         dc.b     $f3,$10,$f3,$d9,$f4,$a1
         dc.b     $f5,$69,$f6,$31,$f6,$fa
         dc.b     $f7,$c3,$f8,$8b,$f9,$54
         dc.b     $fa,$1d,$fa,$e6,$fb,$af
         dc.b     $fc,$78,$fd,$41,$fe,$0a
         dc.b     $fe,$d3,$ff,$9c,$00,$65
         dc.b     $01,$2e,$01,$f7,$02,$c0
         dc.b     $03,$89,$04,$52,$05,$1b
         dc.b     $05,$e4,$06,$ac,$07,$75
         dc.b     $08,$3e,$09,$06,$09,$cf
         dc.b     $0a,$97,$0b,$60,$0c,$28
         dc.b     $0c,$f0,$0d,$b8,$0e,$80
         dc.b     $0f,$47,$10,$0f,$10,$d6
         dc.b     $11,$9e,$12,$65,$13,$2c
         dc.b     $13,$f2,$14,$b9,$15,$7f
         dc.b     $16,$45,$17,$0b,$17,$d1
         dc.b     $18,$96,$19,$5b,$1a,$20
         dc.b     $1a,$e5,$1b,$a9,$1c,$6e
         dc.b     $1d,$31,$1d,$f5,$1e,$b8
         dc.b     $1f,$7b,$20,$3e,$21,$01
         dc.b     $21,$c3,$22,$84,$23,$46
         dc.b     $24,$07,$24,$c8,$25,$88
         dc.b     $26,$48,$27,$08,$27,$c7
         dc.b     $28,$86,$29,$45,$2a,$03
         dc.b     $2a,$c0,$2b,$7e,$2c,$3b
         dc.b     $2c,$f7,$2d,$b3,$2e,$6f
         dc.b     $2f,$2a,$2f,$e4,$30,$9f
         dc.b     $31,$58,$32,$12,$32,$ca
         dc.b     $33,$83,$34,$3b,$34,$f2
         dc.b     $35,$a9,$36,$5f,$37,$15
         dc.b     $37,$ca,$38,$7f,$39,$33
         dc.b     $39,$e6,$3a,$99,$3b,$4c
         dc.b     $3b,$fe,$3c,$af,$3d,$60
         dc.b     $3e,$10,$3e,$bf,$3f,$6e
         dc.b     $40,$1d,$40,$ca,$41,$77
         dc.b     $42,$24,$42,$d0,$43,$7b
         dc.b     $44,$25,$44,$cf,$45,$78
         dc.b     $46,$21,$46,$c9,$47,$70
         dc.b     $48,$17,$48,$bc,$49,$61
         dc.b     $4a,$06,$4a,$a9,$4b,$4c
         dc.b     $4b,$ef,$4c,$90,$4d,$31
         dc.b     $4d,$d1,$4e,$70,$4f,$0f
         dc.b     $4f,$ac,$50,$49,$50,$e6
         dc.b     $51,$81,$52,$1c,$52,$b5
         dc.b     $53,$4e,$53,$e7,$54,$7e
         dc.b     $55,$15,$55,$ab,$56,$40
         dc.b     $56,$d4,$57,$67,$57,$f9
         dc.b     $58,$8b,$59,$1c,$59,$ac
         dc.b     $5a,$3b,$5a,$c9,$5b,$56
         dc.b     $5b,$e3,$5c,$6e,$5c,$f9
         dc.b     $5d,$83,$5e,$0b,$5e,$93
         dc.b     $5f,$1a,$5f,$a0,$60,$26
         dc.b     $60,$aa,$61,$2d,$61,$b0
         dc.b     $62,$31,$62,$b2,$63,$31
         dc.b     $63,$b0,$64,$2d,$64,$aa
         dc.b     $65,$26,$65,$a0,$66,$1a
         dc.b     $66,$93,$67,$0b,$67,$81
         dc.b     $67,$f7,$68,$6c,$68,$e0
         dc.b     $69,$52,$69,$c4,$6a,$35
         dc.b     $6a,$a5,$6b,$13,$6b,$81
         dc.b     $6b,$ee,$6c,$59,$6c,$c4
         dc.b     $6d,$2d,$6d,$96,$6d,$fd
         dc.b     $6e,$63,$6e,$c8,$6f,$2d
         dc.b     $6f,$90,$6f,$f2,$70,$53
         dc.b     $70,$b3,$71,$11,$71,$6f
         dc.b     $71,$cc,$72,$27,$72,$81
         dc.b     $72,$db,$73,$33,$73,$8a
         dc.b     $73,$e0,$74,$35,$74,$89
         dc.b     $74,$db,$75,$2d,$75,$7d
         dc.b     $75,$cc,$76,$1a,$76,$67
         dc.b     $76,$b3,$76,$fe,$77,$47
         dc.b     $77,$90,$77,$d7,$78,$1d
         dc.b     $78,$62,$78,$a5,$78,$e8
         dc.b     $79,$29,$79,$6a,$79,$a9
         dc.b     $79,$e7,$7a,$23,$7a,$5f
         dc.b     $7a,$99,$7a,$d2,$7b,$0a
         dc.b     $7b,$41,$7b,$77,$7b,$ab
         dc.b     $7b,$de,$7c,$11,$7c,$41
         dc.b     $7c,$71,$7c,$9f,$7c,$cd
         dc.b     $7c,$f9,$7d,$24,$7d,$4d
         dc.b     $7d,$76,$7d,$9d,$7d,$c3
         dc.b     $7d,$e8,$7e,$0b,$7e,$2e
         dc.b     $7e,$4f,$7e,$6f,$7e,$8d
         dc.b     $7e,$ab,$7e,$c7,$7e,$e2
         dc.b     $7e,$fc,$7f,$15,$7f,$2c
         dc.b     $7f,$42,$7f,$57,$7f,$6b
         dc.b     $7f,$7d,$7f,$8f,$7f,$9f
         dc.b     $7f,$ad,$7f,$bb,$7f,$c7
         dc.b     $7f,$d2,$7f,$dc,$7f,$e5
         dc.b     $7f,$ec,$7f,$f3,$7f,$f7
         dc.b     $7f,$fb,$7f,$fe,$7f,$ff
         dc.b     $7f,$ff,$7f,$fe,$7f,$fb
         dc.b     $7f,$f7,$7f,$f3,$7f,$ec
         dc.b     $7f,$e5,$7f,$dc,$7f,$d2
         dc.b     $7f,$c7,$7f,$bb,$7f,$ad
         dc.b     $7f,$9f,$7f,$8f,$7f,$7d
         dc.b     $7f,$6b,$7f,$57,$7f,$42
         dc.b     $7f,$2c,$7f,$15,$7e,$fc
         dc.b     $7e,$e2,$7e,$c7,$7e,$ab
         dc.b     $7e,$8d,$7e,$6f,$7e,$4f
         dc.b     $7e,$2e,$7e,$0b,$7d,$e8
         dc.b     $7d,$c3,$7d,$9d,$7d,$76
         dc.b     $7d,$4d,$7d,$23,$7c,$f9
         dc.b     $7c,$cd,$7c,$9f,$7c,$71
         dc.b     $7c,$41,$7c,$10,$7b,$de
         dc.b     $7b,$ab,$7b,$77,$7b,$41
         dc.b     $7b,$0a,$7a,$d2,$7a,$99
         dc.b     $7a,$5f,$7a,$23,$79,$e6
         dc.b     $79,$a8,$79,$69,$79,$29
         dc.b     $78,$e8,$78,$a5,$78,$61
         dc.b     $78,$1d,$77,$d6,$77,$8f
         dc.b     $77,$47,$76,$fd,$76,$b3
         dc.b     $76,$67,$76,$1a,$75,$cc
         dc.b     $75,$7d,$75,$2c,$74,$db
         dc.b     $74,$88,$74,$35,$73,$e0
         dc.b     $73,$8a,$73,$33,$72,$da
         dc.b     $72,$81,$72,$27,$71,$cb
         dc.b     $71,$6f,$71,$11,$70,$b2
         dc.b     $70,$52,$6f,$f1,$6f,$8f
         dc.b     $6f,$2c,$6e,$c8,$6e,$63
         dc.b     $6d,$fd,$6d,$95,$6d,$2d
         dc.b     $6c,$c3,$6c,$59,$6b,$ed
         dc.b     $6b,$81,$6b,$13,$6a,$a4
         dc.b     $6a,$35,$69,$c4,$69,$52
         dc.b     $68,$df,$68,$6c,$67,$f7
         dc.b     $67,$81,$67,$0a,$66,$92
         dc.b     $66,$1a,$65,$a0,$65,$25
         dc.b     $64,$aa,$64,$2d,$63,$af
         dc.b     $63,$31,$62,$b1,$62,$31
         dc.b     $61,$af,$61,$2d,$60,$a9
         dc.b     $60,$25,$5f,$a0,$5f,$1a
         dc.b     $5e,$93,$5e,$0b,$5d,$82
         dc.b     $5c,$f8,$5c,$6e,$5b,$e2
         dc.b     $5b,$56,$5a,$c8,$5a,$3a
         dc.b     $59,$ab,$59,$1b,$58,$8b
         dc.b     $57,$f9,$57,$67,$56,$d3
         dc.b     $56,$3f,$55,$aa,$55,$14
         dc.b     $54,$7e,$53,$e6,$53,$4e
         dc.b     $52,$b5,$52,$1b,$51,$80
         dc.b     $50,$e5,$50,$49,$4f,$ac
         dc.b     $4f,$0e,$4e,$70,$4d,$d0
         dc.b     $4d,$30,$4c,$90,$4b,$ee
         dc.b     $4b,$4c,$4a,$a9,$4a,$05
         dc.b     $49,$61,$48,$bc,$48,$16
         dc.b     $47,$70,$46,$c8,$46,$21
         dc.b     $45,$78,$44,$cf,$44,$25
         dc.b     $43,$7a,$42,$cf,$42,$23
         dc.b     $41,$77,$40,$ca,$40,$1c
         dc.b     $3f,$6e,$3e,$bf,$3e,$0f
         dc.b     $3d,$5f,$3c,$ae,$3b,$fd
         dc.b     $3b,$4b,$3a,$99,$39,$e6
         dc.b     $39,$32,$38,$7e,$37,$c9
         dc.b     $37,$14,$36,$5e,$35,$a8
         dc.b     $34,$f1,$34,$3a,$33,$82
         dc.b     $32,$ca,$32,$11,$31,$58
         dc.b     $30,$9e,$2f,$e4,$2f,$29
         dc.b     $2e,$6e,$2d,$b2,$2c,$f6
         dc.b     $2c,$3a,$2b,$7d,$2a,$c0
         dc.b     $2a,$02,$29,$44,$28,$85
         dc.b     $27,$c7,$27,$07,$26,$48
         dc.b     $25,$88,$24,$c7,$24,$06
         dc.b     $23,$45,$22,$84,$21,$c2
         dc.b     $21,$00,$20,$3e,$1f,$7b
         dc.b     $1e,$b8,$1d,$f4,$1d,$31
         dc.b     $1c,$6d,$1b,$a9,$1a,$e4
         dc.b     $1a,$20,$19,$5b,$18,$95
         dc.b     $17,$d0,$17,$0a,$16,$44
         dc.b     $15,$7e,$14,$b8,$13,$f2
         dc.b     $13,$2b,$12,$64,$11,$9d
         dc.b     $10,$d6,$10,$0e,$0f,$47
         dc.b     $0e,$7f,$0d,$b7,$0c,$ef
         dc.b     $0c,$27,$0b,$5f,$0a,$97
         dc.b     $09,$ce,$09,$06,$08,$3d
         dc.b     $07,$74,$06,$ac,$05,$e3
         dc.b     $05,$1a,$04,$51,$03,$88
         dc.b     $02,$bf,$01,$f6,$01,$2d
         dc.b     $00,$64,$ff,$9b,$fe,$d2
         dc.b     $fe,$09,$fd,$40,$fc,$77
         dc.b     $fb,$ae,$fa,$e5,$fa,$1c
         dc.b     $f9,$53,$f8,$8b,$f7,$c2
         dc.b     $f6,$f9,$f6,$31,$f5,$68
         dc.b     $f4,$a0,$f3,$d8,$f3,$10
         dc.b     $f2,$48,$f1,$80,$f0,$b8
         dc.b     $ef,$f1,$ef,$29,$ee,$62
         dc.b     $ed,$9b,$ec,$d4,$ec,$0e
         dc.b     $eb,$47,$ea,$81,$e9,$bb
         dc.b     $e8,$f5,$e8,$2f,$e7,$6a
         dc.b     $e6,$a4,$e5,$df,$e5,$1b
         dc.b     $e4,$56,$e3,$92,$e2,$ce
         dc.b     $e2,$0b,$e1,$47,$e0,$84
         dc.b     $df,$c2,$de,$ff,$de,$3d
         dc.b     $dd,$7b,$dc,$ba,$db,$f9
         dc.b     $db,$38,$da,$78,$d9,$b8
         dc.b     $d8,$f8,$d8,$39,$d7,$7a
         dc.b     $d6,$bb,$d5,$fd,$d5,$3f
         dc.b     $d4,$82,$d3,$c5,$d3,$09
         dc.b     $d2,$4d,$d1,$91,$d0,$d6
         dc.b     $d0,$1b,$cf,$61,$ce,$a7
         dc.b     $cd,$ee,$cd,$35,$cc,$7d
         dc.b     $cb,$c5,$cb,$0e,$ca,$57
         dc.b     $c9,$a1,$c8,$eb,$c8,$36
         dc.b     $c7,$81,$c6,$cd,$c6,$19
         dc.b     $c5,$66,$c4,$b4,$c4,$02
         dc.b     $c3,$51,$c2,$a0,$c1,$f0
         dc.b     $c1,$40,$c0,$91,$bf,$e3
         dc.b     $bf,$35,$be,$88,$bd,$dc
         dc.b     $bd,$30,$bc,$85,$bb,$da
         dc.b     $bb,$30,$ba,$87,$b9,$df
         dc.b     $b9,$37,$b8,$90,$b7,$e9
         dc.b     $b7,$43,$b6,$9e,$b5,$fa
         dc.b     $b5,$56,$b4,$b3,$b4,$11
         dc.b     $b3,$70,$b2,$cf,$b2,$2f
         dc.b     $b1,$90,$b0,$f1,$b0,$53
         dc.b     $af,$b6,$af,$1a,$ae,$7f
         dc.b     $ad,$e4,$ad,$4a,$ac,$b1
         dc.b     $ac,$19,$ab,$82,$aa,$eb
         dc.b     $aa,$55,$a9,$c0,$a9,$2c
         dc.b     $a8,$99,$a8,$06,$a7,$75
         dc.b     $a6,$e4,$a6,$54,$a5,$c5
         dc.b     $a5,$37,$a4,$aa,$a4,$1d
         dc.b     $a3,$92,$a3,$07,$a2,$7d
         dc.b     $a1,$f4,$a1,$6d,$a0,$e5
         dc.b     $a0,$5f,$9f,$da,$9f,$56
         dc.b     $9e,$d3,$9e,$50,$9d,$cf
         dc.b     $9d,$4e,$9c,$cf,$9c,$50
         dc.b     $9b,$d3,$9b,$56,$9a,$da
         dc.b     $9a,$5f,$99,$e6,$99,$6d
         dc.b     $98,$f5,$98,$7e,$98,$09
         dc.b     $97,$94,$97,$20,$96,$ad
         dc.b     $96,$3c,$95,$cb,$95,$5b
         dc.b     $94,$ed,$94,$7f,$94,$12
         dc.b     $93,$a7,$93,$3c,$92,$d3
         dc.b     $92,$6a,$92,$03,$91,$9d
         dc.b     $91,$37,$90,$d3,$90,$70
         dc.b     $90,$0e,$8f,$ad,$8f,$4d
         dc.b     $8e,$ef,$8e,$91,$8e,$34
         dc.b     $8d,$d9,$8d,$7e,$8d,$25
         dc.b     $8c,$cd,$8c,$76,$8c,$20
         dc.b     $8b,$cb,$8b,$77,$8b,$25
         dc.b     $8a,$d3,$8a,$83,$8a,$34
         dc.b     $89,$e6,$89,$99,$89,$4d
         dc.b     $89,$02,$88,$b9,$88,$70
         dc.b     $88,$29,$87,$e3,$87,$9e
         dc.b     $87,$5b,$87,$18,$86,$d7
         dc.b     $86,$96,$86,$57,$86,$19
         dc.b     $85,$dd,$85,$a1,$85,$67
         dc.b     $85,$2e,$84,$f6,$84,$bf
         dc.b     $84,$89,$84,$55,$84,$21
         dc.b     $83,$ef,$83,$bf,$83,$8f
         dc.b     $83,$60,$83,$33,$83,$07
         dc.b     $82,$dc,$82,$b3,$82,$8a
         dc.b     $82,$63,$82,$3d,$82,$18
         dc.b     $81,$f5,$81,$d2,$81,$b1
         dc.b     $81,$91,$81,$72,$81,$55
         dc.b     $81,$39,$81,$1e,$81,$04
         dc.b     $80,$eb,$80,$d4,$80,$be
         dc.b     $80,$a9,$80,$95,$80,$83
         dc.b     $80,$71,$80,$61,$80,$52
         dc.b     $80,$45,$80,$39,$80,$2e
         dc.b     $80,$24,$80,$1b,$80,$14
         dc.b     $80,$0d,$80,$09,$80,$05
         dc.b     $80,$02,$80,$01

L48      movem.l  d0-d7/a0-a6,-(a7)
         lea      L57,a0
         move.l   #$000155bf,d7
L49      move.b   d7,(a0)+
         subq.l   #$1,d7
         bne.s    L49
         movem.l  (a7)+,d0-d7/a0-a6
         rts      


         SECTION  segment1,DATA_C		; NOTE
seg1
CopperList:
	dc.w	$00e0
L51	dc.w     $0000,$00e2
L52	dc.w     $0000
L53	dc.w     $00e4,$0000
	dc.w	$00e6,$0000
L54      dc.w     $00e8,$0000
	dc.w	$00ea,$0000
L55      dc.w     $00ec,$0000
	dc.w	$00ee,$0000

	dc.w	$009c,$8010

         dc.w     $0180,$0000
	dc.w	$0182,$0f00
	dc.w	$0184,$00f0
         dc.w     $0186,$000f
	dc.w	$0188,$0444
	dc.w	$018a,$0555
         dc.w     $018c,$0666
	dc.w	$018e,$0777
	dc.w	$0190,$0888
         dc.w     $0192,$0999
	dc.w	$0194,$0aaa
	dc.w	$0196,$0bbb
         dc.w     $0198,$0ccc
	dc.w	$019a,$0ddd
	dc.w	$019c,$0eee
         dc.w     $019e,$0111
L56      dc.w     $0084,$0000
	dc.w	$0086,$0000
	dc.w	$008a,$0000
         dc.w     $ffff,$fffe


         SECTION  segment2,BSS_C
seg2
L57	ds.b  80
L58	ds.b  48
L59	ds.b  24528
L60	ds.b  48
L61	ds.b  24528
L62	ds.b  48
L63	ds.b  24608
L64	ds.b  6800
L65	ds.b  6800


         SECTION  segment3,DATA
seg3
gfxname:		dc.b	'graphics.library',$00
		dc.b	$18,$0c,$21


         SECTION  segment4,BSS
seg4
DataBlock:	ds.b	20


         END

